CURLOPT_FILETIME(3)

NAME
CURLOPT_FILETIME - get the modification time of the remote resource

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_FILETIME, long gettime);

DESCRIPTION
Pass a long. If it is 1, libcurl will attempt to get the modification time of the remote document in this operation. This requires that the remote server sends the time or replies to a time querying command. The curl_easy_getinfo(3) function with the CURLINFO_FILETIME(3) argument can be used after a transfer to extract the received time (if any).

DEFAULT
0

PROTOCOLS
HTTP, FTP, SFTP, FILE

EXAMPLE
TODO

AVAILABILITY
Always, for SFTP since 7.49.0

RETURN VALUE
Returns CURLE_OK

SEE ALSO
curl_easy_getinfo(3),